[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [xml/sgml-pkgs] Bug#676686: libxslt1.1: libxslt1.1 binNMU broke multi-arch installability

On Thu, Jun 14, 2012 at 3:43 PM, Philipp Kern wrote:
> On Thu, Jun 14, 2012 at 01:59:25PM -0400, Michael Gilbert wrote:
>> I did not suggest that.  Anyway, maybe this will be a bit clearer.
>> Let's say an existing package is at version +b1 on amd64, and it needs
>> to get a binnmu, then a +b2 package is built on amd64, its changelog
>> is taken and stuffed it into all of the other 'Multi-Arch: same' +b1
>> packages, which are now called +b2, and all of them uploaded.
> For various reasons you cannot do that without a rebuild. (Hint: Files must not
> change, new versions have their versions in various fields.)

Right, there is that additional complexity, but even so I think it
could be made to work.

dpkg-gencontrol could be used to update the Version and any
${binary:Version} fields in the control file.  Also, the package's
md5sums could be regenerated to include the hash for the new

Best wishes,

Reply to: